package com.hyperling.examplegame_practice;

import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;


public class Game extends ActionBarActivity {

    public String filename = "/data/data/com.hyperling.examplegame_practice/savedata";

    public SAL sal;

    public boolean contin = true;
    public boolean exists = false;

    public boolean mainPause = false;

    public static GameView gameview;

    public Game(){
        //Empty
    }

    public Game(boolean bool){
        this.contin = bool;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_load);

        gameview = new GameView(Game.this);

        sal = new SAL(filename);

        if(contin){
            //try{
            //    exists = sal.check();
            //} catch(Exception e){System.out.println("Error checking in file exists in Continue Game");}

            //if(exists){
            System.out.println("Loading continue..");
            //sal.load(gameview);
            onRestart();
            //}
        }

        setContentView(gameview);
    }

    public void onStart(){
        super.onStart();
    }

    protected void onStop(){
        super.onStop();

        sal.save(gameview);
        //gameview.stopThreads();
    }

    protected void onRestart(){
        super.onRestart();

        sal.load(gameview);
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_game, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();
        if (id == R.id.action_reset) {
            gameview = new GameView(Game.this);
            setContentView(gameview);
            return true;
        }
        else if (id == R.id.action_pause) {
            mainPause = !mainPause;
            if(mainPause){
                //gameview.stopThreads();
                item.setTitle("Resume");
            }
            else{
                //gameview.startThreads();
                item.setTitle("Pause");
            }
            try {
                gameview.setMainPause(mainPause);
            }
            catch(Exception e){
                e.printStackTrace();
                System.out.println(e.toString());
                System.out.println(mainPause);
            }
            return true;
        }
        return super.onOptionsItemSelected(item);
    }
}
