package com.hyperling.examplegame_practice;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;


public class MainActivity extends Activity {

    public Game game;

    Button btnStart, btnContinue, btnHelp;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        // Deletes any old save files
        //getBaseContext().deleteFile("savedata");

        btnStart = (Button) findViewById(R.id.btnStart);
        btnContinue = (Button) findViewById(R.id.btnContinue);
        btnHelp = (Button) findViewById(R.id.btnHelp);


        btnStart.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                game = new Game(false);
                startActivity(new Intent(MainActivity.this, game.getClass()));
            }
        });

        btnContinue.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                game = new Game(true);
                startActivity(new Intent(MainActivity.this, game.getClass()));
            }
        });

        btnHelp.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                startActivity(new Intent(MainActivity.this, Help.class));
            }
        });
    }


    /*
    protected void onPause(){
        super.onPause();

        // Stop threads
        gameview.stopThreads();
    }

    protected void onResume(){
        super.onResume();

        // Restore previous session
        //setContentView(gameview);

        //gameview.startThreads();
    }
    */

    /*
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();
        if (id == R.id.action_reset) {
            gameview = new GameView(MainActivity.this);
            setContentView(gameview);
            return true;
        }
        else if (id == R.id.action_pause) {
            mainPause = !mainPause;
            if(mainPause){
                //gameview.stopThreads();
                item.setTitle("Resume");
            }
            else{
                //gameview.startThreads();
                item.setTitle("Pause");
            }
            try {
                gameview.setMainPause(mainPause);
            }
            catch(Exception e){
                e.printStackTrace();
                System.out.println(e.toString());
                System.out.println(mainPause);
            }
            return true;
        }
        return super.onOptionsItemSelected(item);
    }
    */
}
